/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-13
 * 描述            ：纵剪生产跟踪表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Lengthwise.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Lengthwise.Performance.mapper.MesCrSlittingTrcMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_CR_SLITTING_TRC", namespace=MesCrSlittingTrcMapper.class)
public class MesCrSlittingTrc extends BaseVO implements Serializable {
	/** 
	 * 机台号
	 */ 
	@Id
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 更新时间（L3）
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time_l3;
	public Date getUpdate_time_l3() {
		return this.update_time_l3;
	}
	public void setUpdate_time_l3(Date update_time_l3) {
		this.update_time_l3 = update_time_l3;
	}

	/** 
	 * 更新时间（L2）
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time_l2;
	public Date getUpdate_time_l2() {
		return this.update_time_l2;
	}
	public void setUpdate_time_l2(Date update_time_l2) {
		this.update_time_l2 = update_time_l2;
	}

	/** 
	 * 入口卷号
	 */ 
	@Column
	private String entry_coil_id;
	public String getEntry_coil_id() {
		return this.entry_coil_id;
	}
	public void setEntry_coil_id(String entry_coil_id) {
		this.entry_coil_id = entry_coil_id;
	}

	/** 
	 * 入口卷厚度（mm）
	 */ 
	@Column
	private Double material_coil_thickness;
	public Double getMaterial_coil_thickness() {
		return this.material_coil_thickness;
	}
	public void setMaterial_coil_thickness(Double material_coil_thickness) {
		this.material_coil_thickness = material_coil_thickness;
	}

	/** 
	 * 入口卷宽度（mm）
	 */ 
	@Column
	private Double material_coil_width;
	public Double getMaterial_coil_width() {
		return this.material_coil_width;
	}
	public void setMaterial_coil_width(Double material_coil_width) {
		this.material_coil_width = material_coil_width;
	}

	/** 
	 * 入口卷重量（kg）
	 */ 
	@Column
	private Double material_coil_weight;
	public Double getMaterial_coil_weight() {
		return this.material_coil_weight;
	}
	public void setMaterial_coil_weight(Double material_coil_weight) {
		this.material_coil_weight = material_coil_weight;
	}

	/** 
	 * 入口卷长度（m）
	 */ 
	@Column
	private Double material_coil_length;
	public Double getMaterial_coil_length() {
		return this.material_coil_length;
	}
	public void setMaterial_coil_length(Double material_coil_length) {
		this.material_coil_length = material_coil_length;
	}

	/** 
	 * 客户名称
	 */ 
	@Column
	private String customer_name;
	public String getCustomer_name() {
		return this.customer_name;
	}
	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	/** 
	 * 订单号
	 */ 
	@Column
	private String order_number;
	public String getOrder_number() {
		return this.order_number;
	}
	public void setOrder_number(String order_number) {
		this.order_number = order_number;
	}

	/** 
	 * 子卷数（入口卷当前完成子卷数）
	 */ 
	@Column
	private Long baby_coils_done;
	public Long getBaby_coils_done() {
		return this.baby_coils_done;
	}
	public void setBaby_coils_done(Long baby_coils_done) {
		this.baby_coils_done = baby_coils_done;
	}

	/** 
	 * 开卷张力（Newton/mm2）
	 */ 
	@Column
	private Double uncoiler_tension;
	public Double getUncoiler_tension() {
		return this.uncoiler_tension;
	}
	public void setUncoiler_tension(Double uncoiler_tension) {
		this.uncoiler_tension = uncoiler_tension;
	}

	/** 
	 * 开卷速度（m/min）
	 */ 
	@Column
	private Double uncoiler_speed;
	public Double getUncoiler_speed() {
		return this.uncoiler_speed;
	}
	public void setUncoiler_speed(Double uncoiler_speed) {
		this.uncoiler_speed = uncoiler_speed;
	}

	/** 
	 * 开卷电流（A）
	 */ 
	@Column
	private Double uncoiler_current;
	public Double getUncoiler_current() {
		return this.uncoiler_current;
	}
	public void setUncoiler_current(Double uncoiler_current) {
		this.uncoiler_current = uncoiler_current;
	}

	/** 
	 * 穿带速度（m/min）
	 */ 
	@Column
	private Double coil_cross_speed;
	public Double getCoil_cross_speed() {
		return this.coil_cross_speed;
	}
	public void setCoil_cross_speed(Double coil_cross_speed) {
		this.coil_cross_speed = coil_cross_speed;
	}

	/** 
	 * 产线速度（m/min）
	 */ 
	@Column
	private Double line_speed;
	public Double getLine_speed() {
		return this.line_speed;
	}
	public void setLine_speed(Double line_speed) {
		this.line_speed = line_speed;
	}

	/** 
	 * 粗整速度（m/min）
	 */ 
	@Column
	private Double rough_speed;
	public Double getRough_speed() {
		return this.rough_speed;
	}
	public void setRough_speed(Double rough_speed) {
		this.rough_speed = rough_speed;
	}

	/** 
	 * 粗整电流（A）
	 */ 
	@Column
	private Double rough_current;
	public Double getRough_current() {
		return this.rough_current;
	}
	public void setRough_current(Double rough_current) {
		this.rough_current = rough_current;
	}

	/** 
	 * 分条速度（m/min）
	 */ 
	@Column
	private Double sliter_speed;
	public Double getSliter_speed() {
		return this.sliter_speed;
	}
	public void setSliter_speed(Double sliter_speed) {
		this.sliter_speed = sliter_speed;
	}

	/** 
	 * 分条电流（A）
	 */ 
	@Column
	private Double sliter_current;
	public Double getSliter_current() {
		return this.sliter_current;
	}
	public void setSliter_current(Double sliter_current) {
		this.sliter_current = sliter_current;
	}

	/** 
	 * 卷取张力（Newton/mm2）
	 */ 
	@Column
	private Double recoiler_tension;
	public Double getRecoiler_tension() {
		return this.recoiler_tension;
	}
	public void setRecoiler_tension(Double recoiler_tension) {
		this.recoiler_tension = recoiler_tension;
	}

	/** 
	 * 卷取速度（m/min）
	 */ 
	@Column
	private Double recoiler_speed;
	public Double getRecoiler_speed() {
		return this.recoiler_speed;
	}
	public void setRecoiler_speed(Double recoiler_speed) {
		this.recoiler_speed = recoiler_speed;
	}

	/** 
	 * 卷取电流（A）
	 */ 
	@Column
	private Double recoiler_current;
	public Double getRecoiler_current() {
		return this.recoiler_current;
	}
	public void setRecoiler_current(Double recoiler_current) {
		this.recoiler_current = recoiler_current;
	}

}
